Update Task - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PUT
/ v1 /tasks /{taskId}
Update Task
cURL
curl --request PUT \
--url https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"assignedId": "<string>",
"description": "<string>",
"sample": "<string>",
"auditAreas": [\
"<string>"\
],
"assertions": [\
"<string>"\
],
"dueDate": "2023-12-25",
"approverId": "<string>",
"tags": [\
"<string>"\
]
}
'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}"
payload = {
"version": 123,
"assignedId": "<string>",
"description": "<string>",
"sample": "<string>",
"auditAreas": ["<string>"],
"assertions": ["<string>"],
"dueDate": "2023-12-25",
"approverId": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
Fetch
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
assignedId: '<string>',
description: '<string>',
sample: '<string>',
auditAreas: ['<string>'],
assertions: ['<string>'],
dueDate: '2023-12-25',
approverId: '<string>',
tags: ['<string>']
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'assignedId' => '<string>',
'description' => '<string>',
'sample' => '<string>',
'auditAreas' => ['<string>'],
'assertions' => ['<string>'],
'dueDate' => '2023-12-25',
'approverId' => '<string>',
'tags' => ['<string>']
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}"
payload := strings.NewReader(`{
"version": 123,
"assignedId": "<string>",
"description": "<string>",
"sample": "<string>",
"auditAreas": [
"<string>"
],
"assertions": [
"<string>"
],
"dueDate": "2023-12-25",
"approverId": "<string>",
"tags": [
"<string>"
]
}`)
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200 - application/json
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"analysisResultId": "<string>",
"analysisId": "<string>",
"analysisTypeId": "<string>",
"transaction": "<string>",
"name": "<string>",
"rowId": 123,
"transactionId": 123,
"assignedId": "<string>",
"description": "<string>",
"comments": [
{
"commentText": "<string>",
"captured": "2023-11-07T05:31:56Z",
"authorId": "<string>"
}
],
"sample": "<string>",
"auditAreas": ["<string>"],
"assertions": ["<string>"],
"entryType": "<string>",
"vendorName": "<string>",
"customerName": "<string>",
"invoiceRef": "<string>",
"creditValue": 123,
"debitValue": 123,
"riskScores": {},
"filterStatement": "<string>",
"dueDate": "2023-12-25",
"approverId": "<string>",
"tags": ["<string>"],
"amounts": {}
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- taskId: required, string identifying the task.
Body
- version: required, integer indicating the data integrity version to ensure data consistency.
- assignedId: string identifying the user assigned to this task.
- description: string a description of the task.
- sample: string which sample this task is a part of.
- auditAreas: string array which audit areas this task is associated with.
- assertions: string array which assertions this task is associated with.
- dueDate: string date indicating due date.
- approverId: string identifying the approver.
- tags: string array for tags.